<xml> </xml>

db4o |

# ExtDb4o.openMemoryFile Method

opens an com.db4o.ObjectContainer for in-memory use .
In-memory ObjectContainers are useful for maximum performance on small databases, for swapping objects or for storing db4o format data to other media or other databases.
Be aware of the danger of running into OutOfMemory problems or complete loss of all data, in case of hardware or JVM failures.

public static ObjectContainer openMemoryFile(
MemoryFile memoryFile
);

#### Parameters

memoryFile
  a MemoryFile to store the raw byte data.

#### Return Value

an open ObjectContainer

#### See Also

ExtDb4o Class | com.db4o.ext Namespace | com.db4o.ext.MemoryFile